polybori::CCuddFirstIter Class Reference

This class defines an iterator over the first minimal term of a given ZDD node. More...

`#include <CCuddFirstIter.h>`

Inheritance diagram for polybori::CCuddFirstIter:

## Public Types

typedef std::forward_iterator_tag | iterator_category
| Interface type for standard iterator access. More...
typedef CCuddFirstIter | self
| Get type of *this. More...
typedef CCuddNavigator | navigator
| Get navigator type. More...
typedef navigator::const_access_type | const_access_type
| Type for constantly accessing node pointer. More...
typedef navigator::bool_type | bool_type
| Type for boolean values. More...

## Public Member Functions

| CCuddFirstIter ()
| Default constructor. More...
| CCuddFirstIter (navigator rhs)
| Construct from navigator over nodes. More...
| ~CCuddFirstIter ()
| Destructor. More...
void | increment ()
| Incrementation operation. More...
bool_type | equal (const self &rhs) const
| Equality test. More...
navigator::reference | dereference () const
| Dereferencing of the iterator. More...
bool_type | isEnd () const
| Check, whether end of iteration is reached. More...

## Protected Member Functions

void | terminateConstant ()
| Constant nodes are marked as the end of a path. More...

## Protected Attributes

navigator | m_navi
| Use navigator to access diagram nodes. More...

## Detailed Description

This class defines an iterator over the first minimal term of a given ZDD node.

## Member Typedef Documentation

typedef navigator::bool_type polybori::CCuddFirstIter::bool_type

Type for boolean values.

typedef navigator::const_access_type polybori::CCuddFirstIter::const_access_type

Type for constantly accessing node pointer.

typedef std::forward_iterator_tag polybori::CCuddFirstIter::iterator_category

Interface type for standard iterator access.

typedef CCuddNavigator polybori::CCuddFirstIter::navigator

Get navigator type.

typedef CCuddFirstIter polybori::CCuddFirstIter::self

Get type of *this.

## Constructor & Destructor Documentation

polybori::CCuddFirstIter::CCuddFirstIter | ( | ) |  |

inline

Default constructor.

polybori::CCuddFirstIter::CCuddFirstIter | ( | navigator | rhs) |  |

inline

Construct from navigator over nodes.

polybori::CCuddFirstIter::~CCuddFirstIter | ( | ) |  |

inline

Destructor.

## Member Function Documentation

navigator::reference polybori::CCuddFirstIter::dereference | ( | ) |  | const

inline

Dereferencing of the iterator.

bool_type polybori::CCuddFirstIter::equal | ( | const self & | rhs) |  | const

inline

Equality test.

void polybori::CCuddFirstIter::increment | ( | ) |  |

inline

Incrementation operation.

bool_type polybori::CCuddFirstIter::isEnd | ( | ) |  | const

inline

Check, whether end of iteration is reached.

void polybori::CCuddFirstIter::terminateConstant | ( | ) |  |

inline protected

Constant nodes are marked as the end of a path.

## Member Data Documentation

navigator polybori::CCuddFirstIter::m_navi

protected

Use navigator to access diagram nodes.

The documentation for this class was generated from the following file:

- CCuddFirstIter.h